Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Interface EXistResource

All Known Implementing Classes:
  AbstractEXistResource, RemoteBinaryResource, RemoteXMLResource

public interface EXistResource

Defines additional methods implemented by XML and binary resources.

Author:
  wolf

Method Summary
`int` | `getContentLength()`
`java.util.Date` | `getCreationTime()`
`org.w3c.dom.DocumentType` | `getDocType()`
`java.util.Date` | `getLastModificationTime()`
`java.lang.String` | `getMimeType()`
`Permission` | `getPermissions()`
`void` | `setDocType(org.w3c.dom.DocumentType doctype)`
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)`
`void` | `setMimeType(java.lang.String mime)`

Method Detail

### getCreationTime

    public java.util.Date getCreationTime()
                                   throws XMLDBException

  Throws:
    `XMLDBException`

### getLastModificationTime

    public java.util.Date getLastModificationTime()
                                           throws XMLDBException

  Throws:
    `XMLDBException`

### getPermissions

    public Permission getPermissions()
                              throws XMLDBException

  Throws:
    `XMLDBException`

### getContentLength

    public int getContentLength()
                         throws XMLDBException

  Throws:
    `XMLDBException`

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler handler)

### setMimeType

    public void setMimeType(java.lang.String mime)

### getMimeType

    public java.lang.String getMimeType()
                                 throws XMLDBException

  Throws:
    `XMLDBException`

### getDocType

    public org.w3c.dom.DocumentType getDocType()
                                        throws XMLDBException

  Throws:
    `XMLDBException`

### setDocType

    public void setDocType(org.w3c.dom.DocumentType doctype)
                    throws XMLDBException

  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.